/*******************************************************************************
* Title: PWM_Setup.c                                                           *
* Version: 1.0                                                                 *
* Author: Jeff Nybo                                                            *
* Date: April 23, 2014                                                       *
*                                                                              *
* Description:                                                                 *
* This file contains the functions that allow the user to setup the PWM module *
* and adjust the duty cycle and period of the PWM module.                      *
*******************************************************************************/         
                  
#ifndef PWM_SETUP_C
#define PWM_SETUP_C
      
#include "Main_Includes.h"
#include "PWM_Setup.h"   

/*******************************************************************************
* Function: PWM2_Init(void)                                                    
*                                                                              
* Variables:                                                                   
* N/A                                                                          
*                                                                              
* Description:                                                                 
* This function allows the user to initialize the PWM2 module.                 
*******************************************************************************/
void PWM2_Init(UINT16 control, UINT16 duty)
{
  OC2RS = duty;   //Provide GSCLK trigger every PWM Cycle (1% Duty Cycle)
  OC2CON = control;  //Enable PWM
}         
    
#endif
