/*******************************************************************************
* Title: Pong_Game.h                                                                      
* Version: 1.0                                                                 
* Author: Jeff Nybo                                                            
* Date: April 23, 2014                                                                     
*                                                                              
* Description:                                                                 
* This file contains the functions to display a simple pong game animation on                                                                             
* the LED grid.                                                                           
*******************************************************************************/

#ifndef PONG_GAME_H
#define PONG_GAME_H

/*************************************************
*               Global Variables                 *
*************************************************/
typedef struct
{
  INT8 radius;
  INT8 speed_x;
  INT8 speed_y;
  INT8 old_x;
  INT8 old_y;
  INT8 new_x;
  INT8 new_y;
} PONG_BALL;  

/*************************************************
*                   Constants                    *
*************************************************/
//The LED grid is 32x12. The Pong game grid size is 30x10 because we have
//a 1-pixel border around the grid. Therefore we lose 2 pixels on the x,y planes.
#define GRID_X        30
#define GRID_Y        10

//The radius of the ball
#define BALL_RAD      1

//The amount of balls to start out on the grid
#define BALL_AMOUNT   7

//The speed that the balls bounce around at
#define GAME_SPEED    7

/*************************************************
*                   Macros                       *
*************************************************/

/*************************************************
*              Function Prototypes               *
*************************************************/
UINT8 Pong_Game(void);

#endif
