/*******************************************************************************
* Title: RF_Controls.h                                                                       
* Version: 1.0                                                                 
* Author: Jeff Nybo                                                            
* Date: April 23, 2014                                                                      
*                                                                              
* Description:                                                                 
* This file contains the function prototypes that are used to interface the beer                                                                             
* pong table wirelessly with a PC.                                                                                                                    
*******************************************************************************/

#ifndef RF_CONTROLS_H
#define RF_CONTROLS_H

/*************************************************
*               Global Variables                 *
*************************************************/

/*************************************************
*                   Constants                    *
*************************************************/
#define CMD_REFRESH_SCREEN        0x0011
#define CMD_UPDATE_PODS           0x0012
#define CMD_UPDATE_RINGS          0x0013
#define CMD_SCROLLING_TEXT        0x0014
#define CMD_ACTIVATE_RF_MODE      0x00F0
#define CMD_DISABLE_RF_MODE       0x00F1

#define RF_ERROR_NO_ACK           0xFE

/*************************************************
*                   Macros                       *
*************************************************/

/*************************************************
*              Function Prototypes               *
*************************************************/  
void Tx_Check_CMD(void);         
void Tx_Initialize_RF_Module(void);  
          
UINT8 Tx_Update_Pods(UINT8 *data);        
UINT8 Tx_Update_Rings(UINT8 *data);
UINT8 Tx_Refresh_Grid(UINT8 *data);         
UINT8 Tx_Scrolling_Text(UINT8 *data);      
UINT8 Tx_Disable_RF_Mode(UINT8 *data);        
UINT8 Tx_Activate_RF_Mode(UINT8 *data); 

#endif
